Model
Generated on 18 Mar 2026
https://api.paperspace.com/v1
GET List models
/models
Authorizations:
BearerAuth
An API key or access token
List models
Query Parameters
after
optional
Fetch the next page of results after this cursor.
limit
1 – 120 optional
The number of items to fetch after this page.
orderBy
optional
Order results by one of these fields.
Default:dtCreatedorder
optional
The order to sort the results by.
Default:descprojectId
optional
Request: /models
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/models"Responses
200
Successful response
application/json
hasMore
required
Whether there are more pages of results available.
items
required
The items on this page.
Show child properties
description
required Nullable
The description of the dataset
dtCreated
required
The date the dataset was created
dtModified
required
The date the dataset was last modified
id
required
The ID of the dataset
isPublic
required
Whether the dataset is public
name
required
The name of the dataset
projectId
required Nullable
The ID of the project
storageProviderId
required Nullable
The ID of the storage provider
teamId
required
The ID of the team that owns the dataset
nextPage
optional
The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"hasMore": true,
"items": [
{
"description": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"id": "string",
"isPublic": true,
"name": "string",
"projectId": "string",
"storageProviderId": "string",
"teamId": "string"
}
],
"nextPage": "string"
}{
"code": "string",
"message": "string"
}POST Create a model
/models
Authorizations:
BearerAuth
An API key or access token
Create a model
Request Body: application/json
description
optional Nullable
The description of the model
isPublic
required
Whether the model is public
name
required
The name of the model
projectId
optional
The ID of the project
storageProviderId
optional
The ID of the storage provider
Request: /models
{
"isPublic": true,
"name": "string",
"projectId": "string",
"storageProviderId": "string"
}curl -X POST \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"isPublic": true,
"name": "string",
"projectId": "string",
"storageProviderId": "string"
}' \
"https://api.paperspace.com/v1/models"Responses
200
Successful response
application/json
description
required Nullable
The description of the dataset
dtCreated
required
The date the dataset was created
dtModified
required
The date the dataset was last modified
id
required
The ID of the dataset
isPublic
required
Whether the dataset is public
name
required
The name of the dataset
projectId
required Nullable
The ID of the project
storageProviderId
required Nullable
The ID of the storage provider
teamId
required
The ID of the team that owns the dataset
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"description": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"id": "string",
"isPublic": true,
"name": "string",
"projectId": "string",
"storageProviderId": "string",
"teamId": "string"
}{
"code": "string",
"message": "string"
}GET Get a model
/models/{id}
Authorizations:
BearerAuth
An API key or access token
Get a model
Path Parameters
id
required
The ID of the model
Request: /models/{id}
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/models/{id}"Responses
200
Successful response
application/json
description
required Nullable
The description of the dataset
dtCreated
required
The date the dataset was created
dtModified
required
The date the dataset was last modified
id
required
The ID of the dataset
isPublic
required
Whether the dataset is public
name
required
The name of the dataset
projectId
required Nullable
The ID of the project
storageProviderId
required Nullable
The ID of the storage provider
teamId
required
The ID of the team that owns the dataset
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"description": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"id": "string",
"isPublic": true,
"name": "string",
"projectId": "string",
"storageProviderId": "string",
"teamId": "string"
}{
"code": "string",
"message": "string"
}DELETE Delete a model
/models/{id}
Authorizations:
BearerAuth
An API key or access token
Delete a model
Path Parameters
id
required
The ID of the model
Request: /models/{id}
curl -X DELETE \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/models/{id}"Responses
200
Successful response
application/json
id
required
The ID of the model
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"id": "string"
}{
"code": "string",
"message": "string"
}